<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>ResponseFromODL</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>ResponseFromODL</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLMessage"></span>
                    UMLMessage
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='0749035ccebfbe58ca3dce31507c6ba6.html'><span class='node-icon _icon-UMLInteraction'></span>Topology_Resource</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='94a4a4b385eda2b86a6f4dc2de9f0425.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromODL (ODL→Client)</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            
            <section class="element-list">
                <table width="100%">
                    <tr>
                        <td width="50%">
                            <h3>Source</h3>
                            <ul class="nav nav-list">
                                <li><a href='e8597b0a023f7d066b459c0819408dc1.html'><span class='node-icon _icon-UMLLifeline'></span>ODL: ODL_Rest_Interface</a></a></li>
                            </ul>
                        </td>
                        <td width="50%">
                            <h3>Target</h3>
                            <ul class="nav nav-list">
                                <li><a href='b7846f4e7d966d8c06fa3a7977a19fa8.html'><span class='node-icon _icon-UMLLifeline'></span>Client: Client</a></a></li>
                            </ul>
                        </td>
                    </tr>
                </table>
            </section>
            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>ResponseFromODL</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>source</td>
        <td><a href='e8597b0a023f7d066b459c0819408dc1.html'><span class='node-icon _icon-UMLLifeline'></span>ODL: ODL_Rest_Interface</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>target</td>
        <td><a href='b7846f4e7d966d8c06fa3a7977a19fa8.html'><span class='node-icon _icon-UMLLifeline'></span>Client: Client</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>messageSort</td>
        <td>reply</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>signature</td>
        <td><a href='6e3223dbda20d0e625a3a540a70d5952.html'><span class='node-icon _icon-UMLSignal'></span>Http response</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>connector</td>
        <td><a href='0caf73f5486e2805e52ab47b70a99488.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>arguments</td>
        <td>Code, Content</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>assignmentTarget</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>guard</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>iteration</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isConcurrentIteration</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            

            <!-- Relationships -->

            
            


            <!-- Owned Elements -->

            
            


        </div>
    </body>
</html>
